Subject: Re: [PATCH] reduce netfilte sk_buff enlargement

From: Marcel Holtmann <[email-masked]>
Date: Thu, 21 Jul 2005 20:20:35 +0200

Hi Harald,

> I just ran into Marcel Holtmann earlier today.  He thinks moving that
> data into the cb is fine, though he has to double-check that.
> 
> He also said that he really only needs 5 bits, so even if the current
> pkt_type overloading would persist, we could probably shrink it to make
> space for the IPVS bit.

please forget about the 5 bits thingy, I told you. Splitting it up into
bitlevel will screw up the HCI filter completly. However after a look
trough the Bluetooth core it should be quite easy too move the pkt_type
into the control buffer. We already use it for a direction bit. The
nasty thing is that I have to modify all the drivers. So when you
finally decided to shrink the pkt_type, I think that I can come up with
a patch for it quiet quickly.

Regards

Marcel